Bug 10086 - async smb echo handler forked even for smb2
async smb echo handler forked even for smb2
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 10:41 UTC by Volker Lendecke
Modified: 2013-08-21 06:49 UTC (History)
1 user (show)

See Also:


Attachments
Patch (1.96 KB, patch)
2013-08-14 10:43 UTC, Volker Lendecke
vl: review? (metze)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2013-08-14 10:41:21 UTC
If smb2+ is chosen via smb1 negprot and "async smb echo handler = true" is set, the echo handler is forked, although this should only ever be done for smb1.
Comment 1 Volker Lendecke 2013-08-14 10:43:06 UTC
Created attachment 9133 [details]
Patch

Patch applies to 4.0, 4.1 and master
Comment 2 Jeremy Allison 2013-08-14 23:54:03 UTC
It's now gone into master as fbee7c1eabf5baa9b59878a9e3f3ae482e6a9412.

Re-assigning to Karolin for inclusion in 4.0.next and 4.1.0.

Jeremy.
Comment 3 Karolin Seeger 2013-08-20 08:45:42 UTC
(In reply to comment #2)
> It's now gone into master as fbee7c1eabf5baa9b59878a9e3f3ae482e6a9412.
> 
> Re-assigning to Karolin for inclusion in 4.0.next and 4.1.0.
> 
> Jeremy.

Pushed to autobuild-v4-1-test and v4-0-test.
Comment 4 Karolin Seeger 2013-08-21 06:49:25 UTC
Pushed to v4-1-test and v4-0-test.
Closing out bug report.

Thanks!